Go Back   IceInSpace > Equipment > Software and Computers

Reply
 
Thread Tools Rate Thread
  #1  
Old 30-11-2021, 04:04 PM
bojan's Avatar
bojan
amateur

bojan is online now
 
Join Date: Jul 2006
Location: Mt Waverley, VIC
Posts: 6,540
ASCOM platform installation offline

Does anyone know from where I can download .NET Framework 4.85 for offline installation, required for latest ASCOM?
Thanks in advance!
Reply With Quote
  #2  
Old 30-11-2021, 04:28 PM
Drac0 (Mark)
Registered User

Drac0 is offline
 
Join Date: Feb 2020
Location: Nowra, NSW
Posts: 137
EDIT: It is only .NET 4.8 required for the current ASCOM bojan.


Version 4.85?? As far as I'm aware 4.8 was the last "4,x" version before moving to .NET 5, just getting the standard monthly fixes update. You can download an offline installer package for 4.8 from MS here:
https://support.microsoft.com/en-us/...3-aa3c3e7495e0

Hope that helps - Mark

Last edited by Drac0; 30-11-2021 at 04:35 PM. Reason: Extra info
Reply With Quote
  #3  
Old 30-11-2021, 04:36 PM
bojan's Avatar
bojan
amateur

bojan is online now
 
Join Date: Jul 2006
Location: Mt Waverley, VIC
Posts: 6,540
Thanks for quick reply, actually, that was a typo..
Unfortunately, I tried the suggested link over weekend.. it may be offline pack, but it still wants to "verify" installer.. so it gave up.
Apparently, .NET 5 is not sufficient for ASCOM (or I have wrong package?)
Also, I have the same issue with MyFocuserPro2 app.. .NET again.
Reply With Quote
  #4  
Old 30-11-2021, 04:56 PM
Drac0 (Mark)
Registered User

Drac0 is offline
 
Join Date: Feb 2020
Location: Nowra, NSW
Posts: 137
It shouldn't need to verify anything online with that installer. It verifies the files in the package are correct, but that's an internal check, not requiring internet. No idea what's going on if it's trying to verify via the internet. Sorry I can't help.
Reply With Quote
  #5  
Old 07-12-2021, 11:18 AM
bojan's Avatar
bojan
amateur

bojan is online now
 
Join Date: Jul 2006
Location: Mt Waverley, VIC
Posts: 6,540
At the end I enabled internet via my mobile and tried again with MyFocuserPro2.
But, the problem is still here, setup says .NET v4.5.1 is required..
I successfully installed .NET4.5, but when tried v4.5.1 there was a message:


".NET Framework has not been installed because a certificate chain processed, but terminated in a root certificate which is not trusted by the trust provider"


Could it be the problem is in relatively fresh installation of w'7 , and I can't download updates any more (no support from ms) that were loaded on my other w'7 desktop prior to Jan 2020?

Last edited by bojan; 07-12-2021 at 11:33 AM.
Reply With Quote
  #6  
Old 07-12-2021, 12:26 PM
Drac0 (Mark)
Registered User

Drac0 is offline
 
Join Date: Feb 2020
Location: Nowra, NSW
Posts: 137
Not saying it is the problem but could well be - your new install would be lacking any of the security updates that .NET probably needs. Has your win7 install at least had the SP1 update installed?
Reply With Quote
  #7  
Old 07-12-2021, 12:53 PM
bojan's Avatar
bojan
amateur

bojan is online now
 
Join Date: Jul 2006
Location: Mt Waverley, VIC
Posts: 6,540
Yes, SP1 is installed. How to overcome this?
Reply With Quote
  #8  
Old 07-12-2021, 01:30 PM
Drac0 (Mark)
Registered User

Drac0 is offline
 
Join Date: Feb 2020
Location: Nowra, NSW
Posts: 137
Quote:
Originally Posted by bojan View Post
Yes, SP1 is installed. How to overcome this?
Short of updating to Windows 10, it's possible that following these instructions will help - it gives all updates up to 2016 & should give you access to the required .NET.
https://appuals.com/how-to-install-a...ows-7-at-once/



Hope it helps,
Mark
Reply With Quote
  #9  
Old 07-12-2021, 02:17 PM
bojan's Avatar
bojan
amateur

bojan is online now
 
Join Date: Jul 2006
Location: Mt Waverley, VIC
Posts: 6,540
Thank you, updating now... so far so good, installing framework 4.8:-)
Reply With Quote
  #10  
Old 07-12-2021, 02:27 PM
bojan's Avatar
bojan
amateur

bojan is online now
 
Join Date: Jul 2006
Location: Mt Waverley, VIC
Posts: 6,540
Installed, all OK, thank you!
Reply With Quote
  #11  
Old 07-12-2021, 02:57 PM
Drac0 (Mark)
Registered User

Drac0 is offline
 
Join Date: Feb 2020
Location: Nowra, NSW
Posts: 137
Quote:
Originally Posted by bojan View Post
Installed, all OK, thank you!
Great to hear! Cheers.
Reply With Quote
  #12  
Old 07-12-2021, 03:46 PM
bojan's Avatar
bojan
amateur

bojan is online now
 
Join Date: Jul 2006
Location: Mt Waverley, VIC
Posts: 6,540
Interesting, now it started automatic update.. KB3124275. That's probably good ?
Reply With Quote
  #13  
Old 07-12-2021, 04:37 PM
Drac0 (Mark)
Registered User

Drac0 is offline
 
Join Date: Feb 2020
Location: Nowra, NSW
Posts: 137
If it has internet access it will try to get any later updates, mostly security updates.
Reply With Quote
  #14  
Old 25-12-2021, 08:18 AM
bojan's Avatar
bojan
amateur

bojan is online now
 
Join Date: Jul 2006
Location: Mt Waverley, VIC
Posts: 6,540
After all new security updates are installed, all worked as it should.



However, I had a problem with ASCOM6.5SP1 - it was VERY slow to open OnStep driver (I almost thought something went wrong again..) , so I went back to ASCOM6.3 and now all is well again.


Are there similar experiences with ASCOM6.5SP1?
Reply With Quote
Reply

Bookmarks

Thread Tools
Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +10. The time is now 11:16 AM.

Powered by vBulletin Version 3.8.7 | Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.
Advertisement
Limpet Controller
Advertisement
Bintel
Advertisement
Testar
Advertisement
NexDome Observatories
Advertisement
Astronomy and Electronics Centre
Advertisement